import fetch from "@/utils/fetch";
// 保存流程
export const edit = data => fetch("/rest/bpm/workflowDefinition/saveWorkflowDetail", data, "POST");

// bpm流程变量查询
export const queryback = data => fetch("/rest/bpm/bpmVar/byCondition", data, "POST");
// 流程变量保存
export const save = data => fetch("/rest/bpm/bpmVar/batchSave", data, "POST", true);

// 部署
export const changeDeploy = data =>
  fetch("/rest/bpm/workflowDefinition/changeDeployStatus", data, "POST", true);

// 删除节点保存的属性配置
export const deletePlugin = data => fetch("/rest/bpm/processNodeDefinition/deleteByNodeId", data,
  "GET");

export const startWorkflow = data => fetch("/rest/processquery/bpmquery/start", data, "POST",true);

// 获取业务账号
export const getUsers = data =>
  fetch("/rest/bpm/workflowDefinition/findBussinessAccountInfoByAppId", data, "GET");

export const queryBacklog = data => fetch("/rest/processquery/bpmquery/backlogOrFinishQuery", data, "POST",true);

// export const queryFinish = data => fetch("/rest/processquery/bpmquery/backlogOrFinishQuery", data, "POST",true);

// 暂停
export const pause = data => fetch("/rest/bpm/workflowDispose/pause", data, "GET", true);

// 激活
export const active = data => fetch("/rest/bpm/workflowDispose/active", data, "GET", true);

// 销毁
export const destoryStatus = data => fetch("/rest/bpm/workflowDispose/destory", data, "GET", true);

// 放行
export const complete = data => fetch("/rest/processquery/bpmquery/completeTask", data, "POST", true);
// 委派查询
export const queryAppoint = data => fetch("/rest/processquery/bpmquery/queryAppoint", data, "GET", true);
// 流程详情
export const queryWorkflowDetail = data => fetch("/rest/bpm/workflowQuery/getWorkflowInstDetailByWorkflowInstId", data, "GET", true);
//获取流程走向
export const getDirection = data =>
  fetch("/rest/bpm/workflowQuery/getWorkflowInstDetailByWorkflowInstId", data, "GET");

//保存委派人信息
export const saveAppoint = data =>
  fetch("/rest/processquery/bpmquery/saveAppoint", data, "POST",true);
